> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# IPD Admission Clearance

> 
When a clearance is created or updated against an IPD admission (for example a pharmacy, billing or housekeeping clearance), a webhook event is sent to registered webhooks with the clearance status and details.

**Field Definitions**

• **service**: string - The type of service. For IPD events, this will be `ipd`.

• **event**: string - The type of event. This will be `ipd_admissions_clearances.created` or `ipd_admissions_clearances.updated`.

• **event_time**: integer - Event occurrence timestamp (epoch seconds).

• **transaction_id**: string - Unique transaction identifier for the event.

• **timestamp**: integer - Timestamp of the event (epoch seconds).

• **business_id**: string - The eka ID of the business.

• **client_id**: string - Client ID associated with the event.

• **data**: object - Contains details about the clearance.

• **type**: string - The type of clearance (e.g. `pharmacy`).

• **status**: string - Status of the clearance (e.g. `COMPLETED`).

• **completed_by**: object - The actor who completed the clearance.

**Example Webhook Request**

**Endpoint:** [https://your-registered-webhook-url.com](https://your-registered-webhook-url.com)

**Method:** POST



## OpenAPI

````yaml post /registered_url_for_ipd_admissions_clearances_events
openapi: 3.1.0
info:
  title: Transaction Status API
  version: 1.0.0
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://{partner_host}
    variables:
      partner_host:
        default: api.example.com
        description: Partner API host
security: []
paths:
  /registered_url_for_ipd_admissions_clearances_events:
    post:
      tags:
        - IPD Webhooks
      summary: IPD Admission Clearance
      description: >-

        When a clearance is created or updated against an IPD admission (for
        example a pharmacy, billing or housekeeping clearance), a webhook event
        is sent to registered webhooks with the clearance status and details.


        **Field Definitions**


        • **service**: string - The type of service. For IPD events, this will
        be `ipd`.


        • **event**: string - The type of event. This will be
        `ipd_admissions_clearances.created` or
        `ipd_admissions_clearances.updated`.


        • **event_time**: integer - Event occurrence timestamp (epoch seconds).


        • **transaction_id**: string - Unique transaction identifier for the
        event.


        • **timestamp**: integer - Timestamp of the event (epoch seconds).


        • **business_id**: string - The eka ID of the business.


        • **client_id**: string - Client ID associated with the event.


        • **data**: object - Contains details about the clearance.


        • **type**: string - The type of clearance (e.g. `pharmacy`).


        • **status**: string - Status of the clearance (e.g. `COMPLETED`).


        • **completed_by**: object - The actor who completed the clearance.


        **Example Webhook Request**


        **Endpoint:**
        [https://your-registered-webhook-url.com](https://your-registered-webhook-url.com)


        **Method:** POST
      operationId: IPDAdmissionClearanceWebhook
      parameters: []
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: object
              required:
                - service
                - event
                - event_time
                - timestamp
                - business_id
                - data
              properties:
                service:
                  type: string
                  example: ipd
                  description: Type of service
                event:
                  type: string
                  enum:
                    - ipd_admissions_clearances.created
                    - ipd_admissions_clearances.updated
                  example: ipd_admissions_clearances.created
                  description: Type of event
                event_time:
                  type: integer
                  example: 1782811750
                  description: Event occurred timestamp
                transaction_id:
                  type: string
                  example: >-
                    ipd/7175620245483777/admissions/6909b0faba49e0b2f147cf58/clearances/pharmacy
                  description: Unique transaction identifier for the event
                timestamp:
                  type: integer
                  example: 1782811750
                  description: Timestamp of the event
                business_id:
                  type: string
                  example: '7175620245483777'
                  description: Business ID for the admission
                client_id:
                  type: string
                  example: EC_1777984421469
                  description: Client ID for the admission
                data:
                  type: object
                  required:
                    - type
                    - status
                  properties:
                    completed_at:
                      type: string
                      example: '2026-06-30 09:29:02.236000+00:00'
                      description: Timestamp when the clearance was completed
                    completed_by:
                      type: object
                      description: Actor who completed the clearance
                      properties:
                        id:
                          type: string
                          example: '175620245502842'
                          description: Actor identifier
                        name:
                          type: string
                          example: Dr Imtiyaz m,
                          description: Actor name
                    status:
                      type: string
                      example: COMPLETED
                      description: Status of the clearance
                    type:
                      type: string
                      example: pharmacy
                      description: Type of clearance
                    updated_at:
                      type: string
                      example: '2026-06-30 09:29:02.236000+00:00'
                      description: Last update timestamp
      responses:
        '200':
          description: ''
          headers: {}
      deprecated: false

````